%global momorel 2
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

Name:    Pyrex
Summary: A Language for Writing Python Extension Modules
Version: 0.9.4.1
Release: %{momorel}m%{?dist}
Source0: http://nz.cosc.canterbury.ac.nz/~greg/python/Pyrex/%{name}-%{version}.tar.gz
Patch1:  pyrex-python-2.5.patch
#Copyright: UNKNOWN
License: Public Domain
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: python >= 2.5-1m
URL: http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/

%description
Pyrex lets you write code that mixes Python and C data types any way you want, 
and compiles it into a C extension for Python.

%prep
%setup -q
%patch1 -p0 -b .python25

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%{__rm} -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.4.1-2m)
- rebuild against python-2.5-9m

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.4.1-1m)
- update 0.9.4.1

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3.1-4m)
- rebuild against python-2.5

* Sun Dec 25 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.9.3.1-3m)
- no NoSorce

* Wed Nov  2 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.3.1-2m)
- revised spec

* Sun Oct 30 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.3.1-1m)
- update to 0.9.3.1
 
* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.3-2m)
- build against python-2.4.2

